declare interface EntData<T = unknown> {
  ent: T;
}

declare interface ResData<T = unknown, O = undefined> extends EntData<T> {
  ext: O;
}

declare type HttpResData<T = unknown> = {
  data: T;
  ret: number;
  msg?: string;
};

declare type HttpErrorData = {
  reason: string;
  code: number;
  msg?: string;
};
